Class | Spec::Story::Runner::StoryMediator
In: | lib/spec/story/runner/story_mediator.rb
Parent: | Object

### Methods

add_to_last create_given create_given_scenario create_scenario create_story create_then create_when last_step new run_stories stories

### Classes and Modules

Class Spec::Story::Runner::StoryMediator::Scenario
Class Spec::Story::Runner::StoryMediator::Step
Class Spec::Story::Runner::StoryMediator::Story

### Public Class methods

new(step_group, runner, options={})

### Public Instance methods

add_to_last(name)
create_given(name)
create_given_scenario(name)
create_scenario(title)
create_story(title, narrative)
create_then(name)
create_when(name)
last_step()
run_stories()
stories()

[Validate]